
QGIS Application - Bug report #14272

Feature request # 6237 (Closed): Show feature count in composer legend

QDialogProgress used in QgsVectorLayer::countSymbolFeatures

2016-02-10 10:07 AM - René-Luc ReLuc

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22266

Description

Folliwing the vector feature counts moved to vector layer commit 038acbc76083dae3fd29795b9e73d97cd92c3d3a fixes #6237,

QDialogProcess is used in QgsVectorLayer::countSymbolFeatures. But no GUI tools has to be hardcoded in core.

QgsVectorLayer::countSymbolFeatures has a parameter showProgress with defaut value to True.

The method countSymbolFeatures is used in QgsLegendModel and QgsMapLayerLegend without parameter.

History

#1 - 2016-02-10 10:08 AM - René-Luc ReLuc

To fix it, it's probably possible to simply remove the use of QDialogProgress. Any thoughts ?

#2 - 2016-02-10 10:29 AM - René-Luc ReLuc

- Pull Request or Patch supplied changed from No to Yes

Pull Request opened https://github.com/qgis/QGIS/pull/2780

#3 - 2016-05-23 02:00 PM - Giovanni Manghi

- Priority changed from High to Normal

#4 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-01-22 04:44 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Not an issue in 3.x
